# Gimp.context_get_interpolation

    function context_get_interpolation(): Gimp.InterpolationType {
        // Gjs wrapper for gimp_context_get_interpolation()
    }

Get the interpolation type.

Returns the interpolation setting. The return value is an integer which corresponds to the values listed in the argument description. If the interpolation has not been set explicitly by Gimp.context_set_interpolation, the default interpolation set in gimprc will be used.

Since 2.8

Returns

  The interpolation type.